Bug 1345901 - mouse events go to cinnamon panel while in full screen mode
Summary: mouse events go to cinnamon panel while in full screen mode
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cinnamon
Version: 24
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: ---
Assignee: leigh scott
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1343250
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-13 12:08 UTC by Stuart D Gathman
Modified: 2017-01-17 20:19 UTC (History)
5 users (show)

Fixed In Version: cinnamon-3.2.8-1.fc25 cinnamon-3.2.8-1.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1343250
Environment:
Last Closed: 2017-01-17 19:51:06 UTC
Type: Bug


Attachments (Terms of Use)

Description Stuart D Gathman 2016-06-13 12:08:52 UTC
+++ This bug was initially created as a clone of Bug #1343250 +++

Description of problem:
While in full screen, mouse events that are over the (invisible) cinnamon panel do not reach x2goclient, and are processed by the cinnamon panel instead.

Version-Release number of selected component (if applicable):
x2goclient-4.0.5.1-1.fc24.x86_64
cinnamon-3.0.5-2.fc24.x86_64

How reproducible:
always

Steps to Reproduce:
1. put x2goclient in full screen mode
2. click on where a cinnamon panel launcher would be if you could see it
3.

Actual results:
Cinnamon sees the mouse click instead of x2goclient

Expected results:
Normal full screen operation

Additional info:
I have the cinnamon panel at the top of the screen, and the remote desktop is F23 MATE with panel at the top.  This worked fine in F22. 

Other application windows underneath x2goclient don't seem to capture the mouse events.

I wasn't sure whether cinnamon or x2goclient is at fault.  I need to find another full screen app to try.

Comment 1 Stuart D Gathman 2016-06-13 16:42:36 UTC
Parole Media Player doesn't have the bug in F24.  However, Cinnamon went from 2.6 to 3.0 between F22 and F24, while x2goclient stayed at the same version.  So it is not obvious which package is the problem.

Comment 2 Stuart D Gathman 2016-06-13 18:12:16 UTC
Furthermore, if I minimize x2goclient, cinnamon is unable to restore to full screen.  

I tested using F24 MATE as local DE, and x2goclient works.  So that seems to point to cinnamon as the culprit.

Comment 3 leigh scott 2016-06-13 18:46:51 UTC
(In reply to Stuart D Gathman from comment #2)
> Furthermore, if I minimize x2goclient, cinnamon is unable to restore to full
> screen.  
> 
> I tested using F24 MATE as local DE, and x2goclient works.  So that seems to
> point to cinnamon as the culprit.

Can you report the issue here instead please?

https://github.com/linuxmint/Cinnamon/issues

Comment 4 Stuart D Gathman 2016-06-16 13:59:27 UTC
Eog also doesn't go fullscreen correctly, and that is reported here:

https://github.com/linuxmint/Cinnamon/issues/5343

Comment 5 Stuart D Gathman 2016-06-27 20:23:21 UTC
Workaround: In the Cinnamon General Preferences,  turn on "disable compositing for full screen windows".  This makes full screen apps work (but you don't get composited popups from the host appearing "over" them). This is an entirely satisfactory workaround - and the priority should be low.

Comment 6 Stuart D Gathman 2016-09-02 12:12:23 UTC
Upstream claims to have fixed this 

https://github.com/linuxmint/muffin/pull/264
https://github.com/linuxmint/Cinnamon/issues/5343

Comment 7 Fedora Update System 2017-01-08 12:23:51 UTC
cinnamon-3.2.8-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c7360d603c

Comment 8 Fedora Update System 2017-01-08 12:24:23 UTC
cinnamon-3.2.8-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-47e7f978bf

Comment 9 Fedora Update System 2017-01-09 02:22:04 UTC
cinnamon-3.2.8-1.fc24, cinnamon-screensaver-3.2.13-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-47e7f978bf

Comment 10 Fedora Update System 2017-01-09 02:24:49 UTC
cinnamon-3.2.8-1.fc25, cinnamon-screensaver-3.2.13-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c7360d603c

Comment 11 Fedora Update System 2017-01-17 19:51:06 UTC
cinnamon-3.2.8-1.fc25, cinnamon-screensaver-3.2.13-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2017-01-17 20:19:59 UTC
cinnamon-3.2.8-1.fc24, cinnamon-screensaver-3.2.13-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.